<?php
/*
Plugin Name: Google Calendar Fuser
Plugin URI: http://www.smartwaredesign.com/sd-google-calendar
Description: Build pages by combining Google Calendars
Author: Smartware Design LLC
Version: 2.0
*/

define( 'SDGC_VERSION', '2.0' );
define( 'SDGC_INC_PATH', dirname( __FILE__ ) . '/inc' );
define( 'SDGC_PATH', dirname( __FILE__ ) );
define( 'SDGC_FOLDER', basename(SDGC_PATH) );
define( 'SDGC_URL', plugins_url() . '/'. SDGC_FOLDER );
define( 'TEXTDOMAIN', 'sd-google-calendar' );
if ( !defined( 'SDGC_PLUGIN_DIR' ) ) define( 'SDGC_PLUGIN_DIR', __DIR__ );

include_once( SDGC_INC_PATH . '/' . 'sd-google-calendar.class.php' );
include_once( SDGC_INC_PATH . '/' . 'sd-google-calendar-widget.class.php' );

$GoogleCalendars = new GoogleCalendars();

register_activation_hook( __FILE__, array($GoogleCalendars, 'sdgc_addCalendarEventTable'));
register_activation_hook( __FILE__, array($GoogleCalendars, 'sdgc_setupCron'));
add_action ('sdgc_cronScheduleJob', array( $GoogleCalendars, 'sdgc_cronScheduleJob') );

function sd_calendar_register_calendar_widget() {
	register_widget( 'SD_Calendar_Widget' );
}
add_action( 'widgets_init', 'sd_calendar_register_calendar_widget' );
?>